Welcome! Log In Create A New Profile

Advanced

make install fail

Posted by VoltTerra 
make install fail
September 29, 2009 11:23AM
Устанавливаю 0.6-5.3.0 на PHP 5.3.0 на FreeBSD 7.2 RELEASE
делаю как описано здесь: http://github.com/dreamcat4/php-fpm/blob/master/readme.markdown
патчится нормально, а вот make install выдает:
[code]
Installing PHP SAPI module: fpm
:No such file or directory
*** Error code 1

Stop in /tmp/php-5.3.0/fpm-build.
[/code]


Пробовал несколько раз (удалял все исходники и ставил заного) - тоже самое.

Куда копать?
dreamcat four
Re: make install fail
September 29, 2009 01:38PM
make install -d --dry-run
?

2009/9/29 VoltTerra <nginx-forum@nginx.us>:
> Устанавливаю 0.6-5.3.0 на PHP 5.3.0 на FreeBSD 7.2 RELEASE
> делаю как описано здесь: http://github.com/dreamcat4/php-fpm/blob/master/readme.markdown
> патчится нормально, а вот make install выдает:
>
> Installing PHP SAPI module:       fpm
> :No such file or directory
> *** Error code 1
>
> Stop in /tmp/php-5.3.0/fpm-build.
>
>
>
> Пробовал несколько раз (удалял все исходники и ставил заного) - тоже самое.
>
> Куда копать?
>
> Posted at Nginx Forum: http://forum.nginx.org/read.php?25,9952,9952#msg-9952
>
>
dreamcat four
Re: make install fail
September 29, 2009 02:22PM
FPM does not change any of this:

>>>
echo "Installing PHP SAPI module: fpm"
/usr/local/src/play/php-src/build/shtool mkdir -p /usr/local/bin
if test ! -r /usr/local/src/play/php-src/fpm-build/libs/libphp5.so; then \
for i in 0.0.0 0.0 0; do \
if test -r /usr/local/src/play/php-src/fpm-build/libs/libphp5.so.$i; then \
ln -s /usr/local/src/play/php-src/fpm-build/libs/libphp5.so.$i
/usr/local/src/play/php-src/fpm-build/libs/libphp5.so; \
break; \
fi; \
done; \
fi
echo "Installing PHP CLI binary: /usr/local/bin/"
>>>

It should work like the regular PHP install.

2009/9/29 dreamcat four <dreamcat4@gmail.com>:
> make install -d --dry-run
> ?
>
> 2009/9/29 VoltTerra <nginx-forum@nginx.us>:
>> Устанавливаю 0.6-5.3.0 на PHP 5.3.0 на FreeBSD 7.2 RELEASE
>> делаю как описано здесь: http://github.com/dreamcat4/php-fpm/blob/master/readme.markdown
>> патчится нормально, а вот make install выдает:
>>
>> Installing PHP SAPI module:       fpm
>> :No such file or directory
>> *** Error code 1
>>
>> Stop in /tmp/php-5.3.0/fpm-build.
>>
>>
>>
>> Пробовал несколько раз (удалял все исходники и ставил заного) - тоже самое.
>>
>> Куда копать?
>>
>> Posted at Nginx Forum: http://forum.nginx.org/read.php?25,9952,9952#msg-9952
>>
>>
>
Alexandre Kalendarev
Re: make install fail
September 29, 2009 05:40PM
копать сюда:
Buildconf
For the external fpm project, generating ./configure requires certiain versions of the autoconf toolset. You need at least some version of autoconf to install these build tools. If you need to use run buildconf, then it will run ./generate-autotools and try to install these locally. If ./buildconf fails please consult the error log.
Re: make install fail
September 29, 2009 11:08PM
I've done this before ./buildconf --force:
[code]
pkg_add -r autoconf
[/code]
so ./buildconf --force was success
vlad
Re: make install fail
September 30, 2009 04:16AM
On 29 Вер, 18:23, "VoltTerra" <nginx-fo...@nginx.us> wrote:
> Устанавливаю 0.6-5.3.0 на PHP 5.3.0 на FreeBSD 7.2 RELEASE
> делаю как описано здесь:http://github.com/dreamcat4/php-fpm/blob/master/readme.markdown
> патчится нормально, а вот make install выдает:
>
> Installing PHP SAPI module:       fpm
> :No such file or directory
> *** Error code 1
>
> Stop in /tmp/php-5.3.0/fpm-build.
>
> Пробовал несколько раз (удалял все исходники и ставил заного) - тоже самое.
>
> Куда копать?

Копните в сторону GNU make - devel/gmake
vlad
Re: make install fail
September 30, 2009 04:16AM
On 29 Вер, 18:23, "VoltTerra" <nginx-fo...@nginx.us> wrote:
> Устанавливаю 0.6-5.3.0 на PHP 5.3.0 на FreeBSD 7.2 RELEASE
> делаю как описано здесь:http://github.com/dreamcat4/php-fpm/blob/master/readme.markdown
> патчится нормально, а вот make install выдает:
>
> Installing PHP SAPI module:       fpm
> :No such file or directory
> *** Error code 1
>
> Stop in /tmp/php-5.3.0/fpm-build.
>
> Пробовал несколько раз (удалял все исходники и ставил заного) - тоже самое.
>
> Куда копать?
>
> Posted at Nginx Forum:http://forum.nginx.org/read.php?25,9952,9952#msg-9952

Судя по всему, в новой ветке php-fpm появился маленький "линуксизм"
gmake install успешно инсталлит php-fpm, но при этом ещё норовит
установить /etc/init.d/php-fpm :)
Re: make install fail
September 30, 2009 04:38AM
vlad Пишет:
-------------------------------------------------------
> Судя по всему, в новой ветке
> php-fpm появился маленький
> "линуксизм"
> gmake install успешно инсталлит
> php-fpm, но при этом ещё
> норовит
> установить /etc/init.d/php-fpm :)
Благодарю за помощь и комментарии.

Простите меня, я очень начинающий и не совсем понял что вы хотели этим сказать :)
Если я вас правильно понял, то мне нужно копать в сторону GNU make (т.е. gmake) и компилировать исходники именно им?
Если не сложно, то какие еще есть подводные камни (танцы с бубном уже немного надоели)?
vlad
Re: make install fail
September 30, 2009 07:28AM
On 30 Вер, 11:38, "VoltTerra" <nginx-fo...@nginx.us> wrote:
> vlad Пишет:
> -------------------------------------------------------> Судя по всему, в новой ветке
> > php-fpm появился маленький
> > "линуксизм"
> > gmake install успешно инсталлит
> > php-fpm, но при этом ещё
> > норовит
> > установить /etc/init.d/php-fpm :)
>
> Благодарю за помощь и комментарии.
>
> Простите меня, я очень начинающий и не совсем понял что вы хотели этим сказать :)
> Если я вас правильно понял, то мне нужно копать в сторону GNU make (т.е. gmake) и компилировать исходники именно им?
> Если не сложно, то какие еще есть подводные камни (танцы с бубном уже немного надоели)?

С компиляцией справится и штатный make, воркэраунд для инсталляции -
gmake install
Из "неточностей" readme - libevent и autoconf нужной версии есть в
портах (devel/libevent , devel/autoconf213), собирать руками из
исходников не нужно. Про то, что rc-скрипт хочет установиться в /etc/
init.d я уже писал.
Вообще, достаточно поводов для багрепорта.
Re: make install fail
September 30, 2009 08:31AM
vlad Пишет:
-----------------------------------------------------------
> С компиляцией справится и
> штатный make, воркэраунд для
> инсталляции -
> gmake install
> Из "неточностей" readme - libevent и
> autoconf нужной версии есть в
> портах (devel/libevent , devel/autoconf213),
> собирать руками из
> исходников не нужно. Про то,
> что rc-скрипт хочет
> установиться в /etc/
> init.d я уже писал.
> Вообще, достаточно поводов
> для багрепорта.

Спасибо большое vlad за детальное описание!

Я поставил libevent и autoconf пакетами (pkg_add).
Да, кстати, забыл упомянуть, конфигур у меня не такой как в мануале.
Делаю так (в данный момент компилится):
[code]
../configure \
--disable-all \
--with-fpm \
--with-fpm-bin=/usr/local/bin/php-fpm \
--prefix=/usr/local \
--with-mysqli=mysqlnd \
--with-curl=/usr/local \
--enable-mbstring \
--with-iconv-dir=/usr/local \
--with-pcre-regex \
--localstatedir=/var \
--disable-ipv6 \
--enable-sockets \
--with-libevent=/usr/local/lib \
--enable-simplexml \
--enable-libxml \
--enable-dom \
--enable-cli
[/code]
Про флаг --with-fpm-bin=/usr/local/bin/php-fpm прочитал в eng рассылке (есть какой-то баг). До этого пробовал собирать в конфигурации, которая предложена на сайте (т.е. не отключая ненужные расширения и опции) - вываливал с ошибкой.
В следующей конфигурации вываливает с ошибкой на отсутствие файлов в libxml:
[code]
../configure \
--disable-all \
--with-fpm \
--with-fpm-bin=/usr/local/bin/php-fpm \
--with-libevent=/usr/local/lib
[/code]
Пока я предполагаю, что это из-за отсутствия этой строчки:
[code]
--enable-libxml
[/code]

Как установится, могу написать небольшую инструкцию о том, как я устанавливал во FreeBSD.
Багрепортом никогда не занимался, хотя могу попробовать.

Спасибо еще раз
Re: make install fail
September 30, 2009 09:32AM
Как и ожидалось, все установилось успешно.
Я не совсем понял какую версию libxml2 устанавливать. Вобщем описываю свою процедуру установки:
разновидность: [b]интегрированная сборка[/b]
Перед установкой:
[code]
pkg_add -r libevent
pkg_add -r autoconf213
pkg_add -r libxml2
pkg_add -r libxml2-reference
pkg_add -r gmake
[/code]
Загрузка php-fpm: (я собирал в каталоге /tmp - плохая практика, простите меня).
[code]
fetch -o /tmp "http://launchpad.net/php-fpm/master/0.6/+download/php-fpm-0.6-5.3.0.tar.gz"
tar -zxvf "php-fpm-0.6-5.3.0.tar.gz"
"php-fpm-0.6-5.3.0/generate-fpm-patch"
[/code]
Последняя команда может не сработать, если нет bash (или он лежит не /usr/bin/bash)
Загружаем PHP5.3.0
[code]
fetch -o /tmp/php-5.3.0.tar.gz "http://us.php.net/get/php-5.3.0.tar.gz/from/us.php.net/mirror"
tar xvfz "php-5.3.0.tar.gz"
cd "php-5.3.0"
[/code]
Накладываем патч (он находится на один уровень выше) ну и переделываем конфиг.
[code]
patch -p1 < ../fpm.patch
./buildconf --force
mkdir fpm-build && cd fpm-build
[/code]
Я затем конфигурировал с такими опциями. Опция --enable-libxml обязательна (как мне кажется)
[code]
../configure \
--disable-all \
--with-fpm \
--with-fpm-bin=/usr/local/bin/php-fpm \
--prefix=/usr/local \
--with-mysqli=mysqlnd \
--with-curl=/usr/local \
--enable-mbstring \
--with-iconv-dir=/usr/local \
--with-pcre-regex \
--localstatedir=/var \
--disable-ipv6 \
--enable-sockets \
--with-libevent=/usr/local/lib \
--enable-simplexml \
--enable-libxml \
--enable-dom \
--enable-cli && make
[/code]
Если все скомпилировалось удачно, то
[code]
gmake install
make clean
[/code]
Ну а затем надо перенести файл /etc/init.d/php-fpm в /etc/rc.d/php-fpm:
[code]
cp /etc/init.d/php-fpm /etc/rc.d/php-fpm
rm -R /etc/init.d
[/code]
Запускается так:
[code]
/etc/rc.d/php-fpm start
[/code]
Anonymous User
Re: make install fail
September 30, 2009 10:20AM
Здравствуйте, VoltTerra.

а не подскажите как порт создать?
а то боюсь как бы на пролему зависимостей не нарваться


> Как и ожидалось, все установилось успешно.
> Я не совсем понял какую версию libxml2 устанавливать. Вобщем
> описываю свою процедуру установки:
> разновидность: интегрированная сборка
> Перед установкой:

> pkg_add -r libevent
> pkg_add -r autoconf213
> pkg_add -r libxml2
> pkg_add -r libxml2-reference
> pkg_add -r gmake

> Загрузка php-fpm: (я собирал в каталоге /tmp - плохая практика, простите меня).

> fetch -o /tmp
> "http://launchpad.net/php-fpm/master/0.6/+download/php-fpm-0.6-5.3.0.tar.gz"
> tar -zxvf "php-fpm-0.6-5.3.0.tar.gz"
> "php-fpm-0.6-5.3.0/generate-fpm-patch"

> Последняя команда может не сработать, если нет bash (или он лежит не /usr/bin/bash)
> Загружаем PHP5.3.0

> fetch -o /tmp/php-5.3.0.tar.gz
> "http://us.php.net/get/php-5.3.0.tar.gz/from/us.php.net/mirror"
> tar xvfz "php-5.3.0.tar.gz"
> cd "php-5.3.0"

> Накладываем патч (он находится на один уровень выше) ну и переделываем конфиг.

> patch -p1 < ../fpm.patch
> ./buildconf --force
> mkdir fpm-build && cd fpm-build

> Я затем конфигурировал с такими опциями. Опция --enable-libxml обязательна (как мне кажется)

> ../configure \
> --disable-all \
> --with-fpm \
> --with-fpm-bin=/usr/local/bin/php-fpm \
> --prefix=/usr/local \
> --with-mysqli=mysqlnd \
> --with-curl=/usr/local \
> --enable-mbstring \
> --with-iconv-dir=/usr/local \
> --with-pcre-regex \
> --localstatedir=/var \
> --disable-ipv6 \
> --enable-sockets \
> --with-libevent=/usr/local/lib \
> --enable-simplexml \
> --enable-libxml \
> --enable-dom \
> --enable-cli && make

> Если все скомпилировалось удачно, то

> gmake install
> make clean

> Ну а затем надо перенести файл /etc/init.d/php-fpm в /etc/rc.d/php-fpm:

> cp /etc/init.d/php-fpm /etc/rc.d/php-fpm
> rm -R /etc/init.d

> Запускается так:

> /etc/rc.d/php-fpm start


> Posted at Nginx Forum:
> http://forum.nginx.org/read.php?25,9952,10212#msg-10212




--
С уважением,
Stanlee mailto:stanlee@newmail.ru
vlad
Re: make install fail
September 30, 2009 07:12PM
On 30 Вер, 16:32, "VoltTerra" <nginx-fo...@nginx.us> wrote:

> Я не совсем понял какую версию libxml2 устанавливать.
libxml2

> "php-fpm-0.6-5.3.0/generate-fpm-patch"
> Последняя команда может не сработать, если нет bash (или он лежит не /usr/bin/bash)

Кстати, ещё 1 повод для репорта - "башизм" плохо скзывается на
переносимости

> Я затем конфигурировал с такими опциями. Опция --enable-libxml обязательна (как мне кажется)
да, точнее отсутствие --disable-libxml (или как у вас --disable-all),
что косвенно документировано в readme.markdown (с инструкциями для
Debian ;)):
There are (2) Dependencies. If you haven't built php before, you'll
need to install libxml dev package. FPM also requires the Libevent
library so install libevent-dev too. The command for debian / ubuntu
is:

sudo aptitude install -y libxml2-dev libevent-dev


> Ну а затем надо перенести файл /etc/init.d/php-fpm в /etc/rc.d/php-fpm:
Логичнее всё-таки в /usr/local/etc/rc.d и снести /etc/init.d
Сам скрипт для FreeBSD - old style, не используется rc.subr
Опять таки, было бы правильней, если бы configure проверял Linux/не
Linux и/или добавить какую-то опцию --with-fpm-rc, например с
дефолтом для Linux /etc/init.d и /usr/local/etc/rc.d для FreeBSD.
Хотя, не стоит забывать, что есть ещё другие системы :)

Так что, если есть желание сделать доброе дело, то вам сюда
https://bugs.launchpad.net/php-fpm/+filebug или напишите
непосредственно разработчикам (в т.ч. через рассылку)
Опишите обнаруженные проблемы, как их воспроизвести, OS, архитектуру.

Итого, кратко об обнаруженных проблемах:
1 make install на FreeBSD штатным make
2 bash в generate-fpm-patch - недокументированная зависимость и плохая
переносимость
3 инсталяция rc-скрипта без спросу в неправильное место (нет опции для
управлением таким поведением)

Ничего не пропустил?
vlad
Re: make install fail
September 30, 2009 07:54PM
> "php-fpm-0.6-5.3.0/generate-fpm-patch"
>
> Последняя команда может не сработать, если нет bash (или он лежит не /usr/bin/bash)

Собственно, ничего "башеспецифичного" в скрипте generate-fpm-patch я
не вижу, посему, IMHO, смело можно
sed -i '' -e '1s|^#!/bin/bash|#!/bin/sh|' generate-fpm-patch
Re: make install fail
October 01, 2009 01:04AM
> libxml2
Это понятно, но просто http://www.freshports.org/search.php?stype=name&method=match&query=libxml2&num=10&orderby=category&orderbyupdown=asc&search=Search
дает как минимум 2 варианта libxml2: XML parser library for GNOME и Programming reference for textproc/libxml2 (libxlml2-reference)
> > "php-fpm-0.6-5.3.0/generate-fpm-patch"
> > Последняя команда может
> не сработать, если нет bash
> (или он лежит не /usr/bin/bash)
>
> Кстати, ещё 1 повод для
> репорта - "башизм" плохо
> скзывается на
> переносимости
Ну да, согласен. Мне просто повезло, что у меня баш :)

> > Я затем конфигурировал с
> такими опциями. Опция
> --enable-libxml обязательна (как
> мне кажется)
> да, точнее отсутствие
> --disable-libxml (или как у вас
> --disable-all),
> что косвенно
> документировано в readme.markdown
> (с инструкциями для
> Debian ;)):
> There are (2) Dependencies. If you haven't built
> php before, you'll
> need to install libxml dev package. FPM also
> requires the Libevent
> library so install libevent-dev too. The command
> for debian / ubuntu
> is ....

Ну тогда очень косвено :) я фразу про libxml dev package понял так, что мне нужно pkg_add -r libxml2 (ну или из портов)

> > Ну а затем надо перенести
> файл /etc/init.d/php-fpm в /etc/rc.d/php-fpm:
> Логичнее всё-таки в
> /usr/local/etc/rc.d и снести /etc/init.d
> Сам скрипт для FreeBSD - old style,
> не используется rc.subr
> Опять таки, было бы
> правильней, если бы configure
> проверял Linux/не
> Linux и/или добавить какую-то
> опцию --with-fpm-rc, например с
> дефолтом для Linux /etc/init.d и
> /usr/local/etc/rc.d для FreeBSD.
> Хотя, не стоит забывать, что
> есть ещё другие системы :)

С моим уровнем знания FreeBSD (5 дней и столько же ночей с красными глазами)
Вот это:
>скрипт для FreeBSD - old style,
> не используется rc.subr
Из области высоких материй :)
Уж простите мой нубизм =(

> Так что, если есть желание
> сделать доброе дело, то вам
> сюда
> https://bugs.launchpad.net/php-fpm/+filebug или
> напишите
> непосредственно
> разработчикам (в т.ч. через
> рассылку)
> Опишите обнаруженные
> проблемы, как их
> воспроизвести, OS,
> архитектуру.
>
> Итого, кратко об
> обнаруженных проблемах:
> 1 make install на FreeBSD штатным make
> 2 bash в generate-fpm-patch -
> недокументированная
> зависимость и плохая
> переносимость
> 3 инсталяция rc-скрипта без
> спросу в неправильное
> место (нет опции для
> управлением таким
> поведением)
>
> Ничего не пропустил?

Да, вроде все на своих местах.
Если вы доверяете мне столь ответственную миссию,
то я постараюсь описать им все в деталях...
vlad
Re: make install fail
October 01, 2009 06:42AM
On 30 Вер, 17:14, stan...@newmail.ru wrote:
> Здравствуйте, VoltTerra.
>
> а не подскажите как порт создать?
> а то боюсь как бы на пролему зависимостей не нарваться

Можно и сделать, но я бы подождал, когда "утрясётся" новая ветка и
исправятся явные баги в апстриме (те, что в тикетах на launchpad и в
этом обсуждении нашлось несколько), дабы не плодить ещё freebsd-
специфические патчи и частенько их править при изменениях в php-fpm
как-то не хочется :)
Если на досуге сделаю - поделюсь
dreamcat four
Re: make install fail
October 01, 2009 06:42AM
2009/9/29 VoltTerra <nginx-forum@nginx.us>:
> Устанавливаю 0.6-5.3.0 на PHP 5.3.0 на FreeBSD 7.2 RELEASE
> делаю как описано здесь: http://github.com/dreamcat4/php-fpm/blob/master/readme.markdown
> патчится нормально, а вот make install выдает:
>
> Installing PHP SAPI module:       fpm
> :No such file or directory
> *** Error code 1
>
> Stop in /tmp/php-5.3.0/fpm-build.
>
>
>
> Пробовал несколько раз (удалял все исходники и ставил заного) - тоже самое.

does this work?

php-src/sapi/fpm/ac/fpm_build.m4: 26,27:
dnl Set install target and select SAPI
- INSTALL_IT=""
+ INSTALL_IT=":"

Then exec:

buildconf --force
configure
make


Thank you,

dreamcat4
dreamcat4@gmail.com
dreamcat four
Re: make install fail
October 01, 2009 06:46AM
2009/10/1 dreamcat four <dreamcat4@gmail.com>:
> 2009/9/29 VoltTerra <nginx-forum@nginx.us>:
>> Устанавливаю 0.6-5.3.0 на PHP 5.3.0 на FreeBSD 7.2 RELEASE
>> делаю как описано здесь: http://github.com/dreamcat4/php-fpm/blob/master/readme.markdown
>> патчится нормально, а вот make install выдает:
>>
>> Installing PHP SAPI module:       fpm
>> :No such file or directory
>> *** Error code 1
>>
>> Stop in /tmp/php-5.3.0/fpm-build.

Or better try this:

/tmp/php-5.3.0/fpm-build/Makefile:
- INSTALL_IT=
+ INSTALL_IT=:

INSTALL_ROOT=/tmp/fpm make install

dreamcat4
dreamcat4@gmail.com
vlad
Re: make install fail
October 01, 2009 06:58AM
> Ну тогда очень косвено :) я фразу про libxml dev package понял так, что мне нужно pkg_add -r libxml2 (ну или из портов)

поняли правильно, libxml действительно нужен, но при этом ещё не нужно
его выключать в configure

> > не используется rc.subr
>
> Из области высоких материй :)
> Уж простите мой нубизм =(

Если интересно, то:
man 8 rc
man 8 rc.subr
http://www.freebsd.org/doc/en/articles/rc-scripting/index.html


> Если вы доверяете мне столь ответственную миссию,
> то я постараюсь описать им все в деталях...

громко сказано ;) на самом деле - и вам доп. опыт и проекту польза
vlad
Re: make install fail
October 01, 2009 07:08AM
> Or better try this:
>
> /tmp/php-5.3.0/fpm-build/Makefile:
> - INSTALL_IT=
> + INSTALL_IT=:

Yes, it works with FreeBSD make
Can you include this fix in main php-fpm distribution?
Thanks.
dreamcat four
Re: make install fail
October 01, 2009 07:22AM
On Thu, Oct 1, 2009 at 12:05 PM, vlad <vlad@server-labs.com.ua> wrote:
>
>
>> Or better try this:
>>
>> /tmp/php-5.3.0/fpm-build/Makefile:
>> - INSTALL_IT=
>> + INSTALL_IT=:
>
> Yes, it works with FreeBSD make
> Can you include this fix in main php-fpm distribution?
> Thanks.

Yes, of course.


For the init script, it's harder to please everybody.
How about this:

--with-fpm-init=[PATH]
Install the linux init script to [PATH]

--with-fpm-init=yes
install the linux init script

--with-fpm-init=no
No, don't install linux init script

If FreeBSD requires different init script, then can you install your
rc.d script from portfile?
Otherwise we hope you can use the linux one

Best regards,

dreamcat4
dreamcat4@gmail.com
vlad
Re: make install fail
October 01, 2009 07:44AM
> For the init script, it's harder to please everybody.
> How about this:
>
> --with-fpm-init=[PATH]
> Install the linux init script to [PATH]
>
> --with-fpm-init=yes
> install the linux init script
>
> --with-fpm-init=no
> No, don't install linux init script

--with-fpm-init and with/without switcher solves this problem:

--with-fpm-init=[PATH]
Install the linux init script to [PATH] [/etc/init.d]

--without-fpm-init
Don't install linux init script

So , if --without-fpm-init not included in configure options, init-
script will install in PATH from --with-fpm-init option (/etc/init.d
by default)

What you think about such behavior?


> If FreeBSD requires different init script, then can you install your
> rc.d script from portfile?
Yes, its normal practice in FreeBSD ports

> Otherwise we hope you can use the linux one
Linux init-script works with FreeBSD, but not satisfies requirements
of "rc coding style"
dreamcat four
Re: make install fail
October 01, 2009 08:18AM
On Thu, Oct 1, 2009 at 12:41 PM, vlad <vlad@server-labs.com.ua> wrote:
> --with-fpm-init and with/without switcher solves this problem:
> What you think about such behavior?

--without-$VAR should be generated automatic by autoconf / configure script.
This fine and we know how to fix.

You can track progress at:

Launchpad Bug #439946
https://bugs.launchpad.net/php-fpm/+bug/439946



Thanks,

dreamcat4
dreamcat4@gmail.com
Anonymous User
Re: make install fail
October 01, 2009 10:26AM
Здравствуйте, vlad.

дело все в том что я обновлял порты
и обновил порт gd

обновлял все чере порапгрейд
а видно там зависиомсти были
и у меня гд либа упала

теперь где идет работа с изображениями вылазит ошибка

Warning: imagecreatefrompng() [function.imagecreatefrompng]: gd-png:
fatal libpng error: [00][00][00][00]: unknown critical chunk in ...

как быть даже не знаю
порт вроди по понижающей не ставят же

кто знает как выйти из ситуации?


> On 30 Вер, 17:14, stan...@newmail.ru wrote:
>> Здравствуйте, VoltTerra.
>>
>> а не подскажите как порт создать?
>> а то боюсь как бы на пролему зависимостей не нарваться

> Можно и сделать, но я бы подождал, когда "утрясётся" новая ветка и
> исправятся явные баги в апстриме (те, что в тикетах на launchpad и в
> этом обсуждении нашлось несколько), дабы не плодить ещё freebsd-
> специфические патчи и частенько их править при изменениях в php-fpm
> как-то не хочется :)
> Если на досуге сделаю - поделюсь


--
С уважением,
Stanlee mailto:stanlee@newmail.ru
vlad
Re: make install fail
October 01, 2009 10:52AM
> кто знает как выйти из ситуации?

Пересобрать php , чтобы слинковать php-gd с новыми версиями
Anonymous User
Re: make install fail
October 01, 2009 11:26AM
Здравствуйте, vlad.

у меня стоит 5.2.10
как мне его пересобрать без порта (

у меня был порт тут ребята дали
а нового нету

вот я и в тупике


>> кто знает как выйти из ситуации?

> Пересобрать php , чтобы слинковать php-gd с новыми версиями


--
С уважением,
Stanlee mailto:stanlee@newmail.ru
vlad
Re: make install fail
October 01, 2009 12:06PM
On 1 Жов, 18:15, stan...@newmail.ru wrote:
> Здравствуйте, vlad.
>
> у меня стоит 5.2.10
> как мне его пересобрать без порта (
>
> у меня был порт тут ребята дали
> а нового нету

Ничего не мешает пересобрать тот же порт для 5.2.10
Если вопрос в том как, то:

cd /usr/ports/lang/php-fpm (или где у вас лежит порт)
make clean && make (либо ещё с какими-то опциями WITH/WITHOUT,
предусмотренными вашим портом и пожеланиями)
убедились, что всё собралось
make deinstall reinstall clean

и всё
Anonymous User
Re: make install fail
October 01, 2009 12:44PM
Здравствуйте, vlad.

а расширения?
они же уже в портах идут как 5.2.11


> On 1 Жов, 18:15, stan...@newmail.ru wrote:
>> Здравствуйте, vlad.
>>
>> у меня стоит 5.2.10
>> как мне его пересобрать без порта (
>>
>> у меня был порт тут ребята дали
>> а нового нету

> Ничего не мешает пересобрать тот же порт для 5.2.10
> Если вопрос в том как, то:

> cd /usr/ports/lang/php-fpm (или где у вас лежит порт)
> make clean && make (либо ещё с какими-то опциями WITH/WITHOUT,
> предусмотренными вашим портом и пожеланиями)
> убедились, что всё собралось
> make deinstall reinstall clean

> и всё




--
С уважением,
Stanlee mailto:stanlee@newmail.ru
vlad
Re: make install fail
October 01, 2009 01:16PM
On 1 Жов, 19:39, stan...@newmail.ru wrote:
> Здравствуйте, vlad.
>
> а расширения?
> они же уже в портах идут как 5.2.11

1 вопросы сильно напрашиваются в тематические рассылки по FreeBSD
2 вспоминается стандартный ответ про телепатов в отпуске :)

То, что должно было быть в вашем первом сообщении:
- php-fpm 5.2.10 собран из неофициального порта (тут ссылка на доброе
место, где вы его взяли)
- используются shared расширения из стандартных портов freebsd
- софт из портов был обновлён, расширения php обновились до 5.2.11

Что делать:
Из массы вариантов (исправить порт до 5.2.11, собрать php-fpm не с
shared extensions и т.д.) я бы всё-таки посоветовал вам откатить php и
его extensions , pecl и иже сними - до 5.2.10 , пока не появится для
5.2.11 - так будет проще для всех

>
> > On 1 Жов, 18:15, stan...@newmail.ru wrote:
> >> Здравствуйте, vlad.
>
> >> у меня стоит 5.2.10
> >> как мне его пересобрать без порта (
>
> >> у меня был порт тут ребята дали
> >> а нового нету
> > Ничего не мешает пересобрать тот же порт для 5.2.10
> > Если вопрос в том как, то:
> > cd /usr/ports/lang/php-fpm (или где у вас лежит порт)
> > make clean && make (либо ещё с какими-то опциями WITH/WITHOUT,
> > предусмотренными вашим портом и пожеланиями)
> > убедились, что всё собралось
> > make deinstall reinstall clean
> > и всё
>
> --
> С уважением,
>  Stanlee                          mailto:stan...@newmail.ru
vlad
Re: make install fail
October 01, 2009 09:04PM
On 1 Жов, 18:15, stan...@newmail.ru wrote:
> Здравствуйте, vlad.
>
> у меня стоит 5.2.10
> как мне его пересобрать без порта (

Cобственно БЕЗ порта вы можете собрать php-fpm c static в некую
отдельную директорию.
Выбор версии - за вами (решения проблемы со сборкой на FreeBSD для
версии 0.6 обсуждались в этой ветке), "старые" версии php-fpm (http://
php-fpm.org/downloads/php-5.2.10-fpm-0.5.13.diff.gz) для 5.2.10 и
5.2.11 ставятся так: http://php-fpm.org/Documentation

При выполнении configure можете указать, с какими расширениями вам
нужен php-fpm и пути для инсталляции. Пример для 0.5 (установка в /usr/
local/php5210-fpm):

../configure --enable-force-cgi-redirect \
--enable-fastcgi \
--with-config-file-path=/usr/local/php5210-fpm/etc \
--prefix=/usr/local/php5210-fpm \
--enable-fpm \
--enable-discard-path \
--with-mysql \
--enable-static \
--enable-sockets \
--disable-ipv6 \
--enable-session
и т.д.
rc-скрипт найдёте в ${prefix}/sbin

Примеры configure для 0.6 есть в этой же ветке.
Доступные опции: ./configure --help
Всякие pecl-расширения для вашей php-fpm можно собрать отдельно либо
указать системный extension_dir (при совпадении версий) в php.ini, в
моём примере php.ini будет отдельный в /usr/local/php5210-fpm/etc

Вариантов у вас сейчас много, оптимальный - по выбору стреляющего :)
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 84
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready